$ErrorActionPreference = 'Stop'

function CreateShortcut {
    param([String] $Path)

    $shortcutArgs = @{
        shortcutFilePath = "$Path\Jellyfin.lnk"
        targetPath       = 'http://localhost:8096'
        iconLocation     = "$ENV:ProgramFiles\Jellyfin\Server\jellyfin-web\favicon.ico"
    }

    Install-ChocolateyShortcut @shortcutArgs
}

$version = "v$ENV:ChocolateyPackageVersion"
$packageArgs = @{
    packageName    = 'jellyfin'
    fileType       = 'EXE'
    url64bit       = "https://github.com/jellyfin/jellyfin/releases/download/$version/jellyfin_$version-x64_windows.exe"
    checksum64     = '567aa28c3f96183ff784b90379b3b5d440862139d97155fb13c943f59bc97731'
    checksumType64 = 'sha256'
    silentArgs     = '/S'
    validExitCodes = @(0,1)
    softwareName   = 'Jellyfin Server*'
}
 
Install-ChocolateyPackage @packageArgs

CreateShortcut -Path "$ENV:Public\Desktop"
CreateShortcut -Path "$ENV:ProgramData\Microsoft\Windows\Start Menu\Programs"
